using PARR.Common.Domain;
using PARR.DAL.Models;
using PARR.DAL.Services.Interfaces.Base;

namespace PARR.DAL.Services.Interfaces
{
    public interface ITemplateService : IBaseService<Template>
    {
        Task<Template?> GetTemplateByNameAsync(string name);

        Task<Guid?> ReserveUnusedTemplateAsync(Guid newUnitId, HistoryInitiator initiator);

        IQueryable<Template> GetWithIncludes();
    }
}
